Splash беттері
GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Параметрлер | Толығырақ | Сипаттама |
|---|---|---|
| search | Міндетті емес Жолақ | Іздеу жолы. |
| search_by | Міндетті емес Жолақ | Сіз қандай сала бойынша іздеп жатырсыз. Рұқсат етілген мәндер: name. |
| datetime_field | Міндетті емес Жолақ | Рұқсат етілген мәндер: datetime, last_datetime |
| datetime_start | Міндетті емес Жолақ | Нәтижелерді осы күн мен уақыттан бастап сүзу. Пішімі Y-m-d H:i:s. |
| datetime_end | Міндетті емес Жолақ | Нәтижелерді осы күн мен уақытқа дейін сүзу. Пішімі Y-m-d H:i:s. |
| order_by | Міндетті емес Жолақ | Нәтижелерді қандай сала бойынша сұрату керек. Рұқсат етілген мәндер: splash_page_id, datetime, last_datetime, name. |
| order_type | Міндетті емес Жолақ | Нәтижелердің тәртібі. Рұқсат етілген мәндер: ASC - өсу тәртібі, және DESC - кему тәртібі. |
| page | Міндетті емес Бүтін сан | Сіз нәтижелерді алғыңыз келетін бет нөмірі. Әдепкі бойынша 1. |
| results_per_page | Міндетті емес Бүтін сан | Бір бетте қанша нәтиже көрсеткіңіз келеді. Рұқсат етілген мәндер: 10, 25, 50, 100, 250, 500, 1000. Әдепкі бойынша 25. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 15:19:23",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/projects?page=1",
"last": "https://tistos.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/projects?page=1"
}
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 15:19:23",
}
}
POST https://tistos.com/api/projects
| Параметрлер | Толығырақ | Сипаттама |
|---|---|---|
| name | Қажет Жолақ | - |
| title | Міндетті емес Жолақ | - |
| logo | Міндетті емес Файл | - |
| favicon | Міндетті емес Файл | - |
| opengraph | Міндетті емес Файл | - |
| description | Міндетті емес Жолақ | - |
| secondary_button_name | Міндетті емес Жолақ | - |
| secondary_button_url | Міндетті емес Жолақ | - |
| custom_css | Міндетті емес Жолақ | - |
| custom_js | Міндетті емес Жолақ | - |
| ads_header | Міндетті емес Жолақ | - |
| ads_footer | Міндетті емес Жолақ | - |
| link_unlock_seconds | Міндетті емес Бүтін сан | - |
| auto_redirect | Міндетті емес Логикалық | - |
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
| Параметрлер | Толығырақ | Сипаттама |
|---|---|---|
| name | Міндетті емес Жолақ | - |
| title | Міндетті емес Жолақ | - |
| logo | Міндетті емес Файл | - |
| favicon | Міндетті емес Файл | - |
| opengraph | Міндетті емес Файл | - |
| description | Міндетті емес Жолақ | - |
| secondary_button_name | Міндетті емес Жолақ | - |
| secondary_button_url | Міндетті емес Жолақ | - |
| custom_css | Міндетті емес Жолақ | - |
| custom_js | Міндетті емес Жолақ | - |
| ads_header | Міндетті емес Жолақ | - |
| ads_footer | Міндетті емес Жолақ | - |
| link_unlock_seconds | Міндетті емес Бүтін сан | - |
| auto_redirect | Міндетті емес Логикалық | - |
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \